Bug 59031 - Trident sound card bug in kernel / Xine crashes
Trident sound card bug in kernel / Xine crashes
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-01-29 12:03 EST by Ryan Rothert
Modified: 2007-04-18 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-08 12:59:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ryan Rothert 2002-01-29 12:03:39 EST
Description of Problem:
When running xine, i get the following kernel error and xine crashes.  This is 
on a ECS K7AMA motherboard with built in Trident soundcard:
------------[ cut here ]------------
kernel BUG at trident.c:2997!
invalid operand: 0000
CPU:    0
EIP:    0010:[<d08fabfa>]    Not tainted
EFLAGS: 00010286
EIP is at __insmod_trident_S.text_L22544 [trident] 0x3b9a
eax: 0000001e   ebx: 00000000   ecx: 00000001   edx: 000021fc
esi: 00000000   edi: bffff374   ebp: ca69bc90   esp: cf7d3f18
ds: 0018   es: 0018   ss: 0018
Process xine (pid: 4993, stackpage=cf7d3000)
Stack: d08fd2d8 00000bb5 36000000 00000000 ccd63000 d08fb125 00000000 00000036
       00000000 00000006 00000000 d08f9a43 ccd63000 00000006 00000006 0000002a
       ccd63000 fffffff2 ca69bc80 00000000 cb27c000 c0ceb840 ffffffea 00000000
Call Trace: [<d08fd2d8>] __insmod_trident_S.rodata_L160 [trident] 0x158
[<d08fb125>] __insmod_trident_S.text_L22544 [trident] 0x40c5
[<d08f9a43>] __insmod_trident_S.text_L22544 [trident] 0x29e3
[<c0142e37>] sys_ioctl [kernel] 0x217
[<c0106f5b>] system_call [kernel] 0x33

Code: 0f 0b 5a 59 8b 0e 8b 81 e4 07 00 00 85 c0 75 0d 53 0f b6 44
 <6>Uniform CD-ROM driver unloaded

Version-Release number of selected component (if applicable):

How Reproducible:
Running xine from the rpm at freshrpms.net 

Steps to Reproduce:

Actual Results:

Expected Results:

Additional Information:

Note You need to log in before you can comment on or make changes to this bug.